• If this is your first visit, you will have to register before you can post. To view messages, please scroll below and select the forum that you would like to visits. Questions? Be sure to check out the Forum FAQ.

Announcement

Collapse
No announcement yet.

Partner 728x90

Collapse

Oh No!

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

    Oh No!

    I'm getting this error message when I try to import a new script/indicator. I was going to remove the last two I added, to see if they were the trouble makers but I get the same message again. How do I fix this if I do not know what scripts are causing the problem and if I cannot remove them??
    Attached Files

    #2
    Hello,

    Thank you for your post.
    As the error states this message indicates that there are errors within existing scripts that are preventing others from being installed.

    You will need to compile the current scripts and fix the errors in order to be able to import/remove other scripts.

    Please follow the instructions below to see where the errors are coming from after compiling the indicator. This will allow you to debug the indicator/strategy or remove it from your PC. If you are wondering why you receive an error when compiling only one indicator, it is because NinjaTrader always compiles all indicators and strategies - not just one. This is done to give you the highest runtime performance possible.

    Open NinjaTrader
    From the Control Center select the Tools menu--> select the Edit NinjaScript menu item--> select Indicator
    Select ANY indicator and double click on it (we need only to open and compile one script to see all compile errors for all files).
    A new window will appear and you will need to right click in the window and select Compile to compile the indicators.
    At the bottom of the window a new section will appear where you can find the error locations.
    From there you have the option to comment out offending code sections, remove the complete indicator or debug it to be able to compile again.

    Please let us know if we may assist further.
    Justin S.NinjaTrader Customer Service

    Comment


      #3
      Originally posted by sisenberg View Post
      I'm getting this error message when I try to import a new script/indicator. I was going to remove the last two I added, to see if they were the trouble makers but I get the same message again. How do I fix this if I do not know what scripts are causing the problem and if I cannot remove them??
      Dear Sisenberg, Possible that you have copied 1 or more files directly to you Ninja, cross check at My documents/Ninjatrader/bin/custom/indicator If you find any foreign files added (like indicator) delete it or move to different folder for safer side if you require that file then try again opening you ninja script

      Comment

      Latest Posts

      Collapse

      Topics Statistics Last Post
      Started by Mike3238, Today, 07:09 PM
      0 responses
      6 views
      0 likes
      Last Post Mike3238  
      Started by sambo81, Today, 06:57 PM
      0 responses
      7 views
      0 likes
      Last Post sambo81
      by sambo81
       
      Started by erichuff, Today, 04:53 AM
      1 response
      27 views
      0 likes
      Last Post NinjaTrader_ChrisL  
      Started by stevenev1, Today, 01:43 PM
      0 responses
      8 views
      0 likes
      Last Post stevenev1  
      Started by shinuvu, Today, 11:05 AM
      3 responses
      21 views
      0 likes
      Last Post NinjaTrader_ChrisL  
      Working...
      X